<?php
    use PFBC\Form;
    use PFBC\Element;
    use PFBC\View;
    use PFBC\Validation;
    use documongo\MongoObject\Document;
    use documongo\MongoObject\DocumentType;

    use pagecontrol\PageController\Herzen\Render\PdfListRender;

    require_once('lib/frole.php');
	$role = new Role();
	$role->isPageEnable($user->uuid);

    require_once("lib/fconnect.php");
    $db = DBConnect::getInstance();

    $pdfListRender = new PdfListRender();

?>
<!doctype html>
<html lang="ru">
<head>
<meta charset="utf-8" />
<title><?=$this->title?></title>
<link rel="stylesheet" href="/css/jquery-ui.css" />

<script src="/js/jquery-1.9.1.js"></script>
<script src="/js/jquery-ui.js"></script>
<script src="/js/jquery.form.js"></script>

<link type="text/css" rel="stylesheet" href="/css/bootstrap-combined.min.css">
<script src="/js/bootstrap.min.js"></script>
<link rel="stylesheet" href="/css/base.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.form.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/admin.css" />
<link rel="stylesheet" href="/css/navigation__horizontal.css" />

<link rel="stylesheet" href="/css/colors.css">
<link rel="stylesheet" href="/css/buttons.css">
<link rel="stylesheet" href="/css/positions.css">

<link rel="stylesheet" href="/css/messages.css" />

<script src="/js/upload.js"></script>

  <script src="/js/auth.js"></script>
  <script>
    var language = "<?=$language?>";
    var pageType = "<?=$pageType?>";

  </script>
</head>

<body>


<header class="header gradient">
  <div class="header__logo">
    <img src="/images/herzen.png" />
  </div>
  <div class="header__headings">
    <h1 class="header__headings__heading">
      <?=$this->title?>
    </h1>
    <h2 class="header__headings__subheading">
      <small class="muted" class="header__headings__subheading__subsubheading">
        <?=$this->subtitle?>
      </small>
    </h2>
  </div>

  <div class="userbox userbox_parent_header">
    <div class="userbox__controls">
      <span class="userbox__controls__profile">профиль</span> / <span class="userbox__controls__logout">выход</span>
    </div>
    <div class="userbox__username">
        <span class="userbox__username__displayname" data-uuid="<?=$this->user->uuid?>"><?=$this->user->givenname?> <?=$this->user->lastname?></span>
    </div>
  </div>

  <div class="header__helper"></div>
</header>

<div>
	<?php
echo $role->userMenu($user->uuid, $db);
	?>
</div>

<?php
$prorector_links = array(
    array(
        'id' => 'Гончаров Сергей Александрович',
        'title_ru' => 'Гончаров Сергей Александрович' . '<br/>' . '<small class="muted">первый проректор</small>',
    ),
    array(
        'id' => 'Лаптев Владимир Валентинович',
        'title_ru' => 'Лаптев Владимир Валентинович' . '<br/>' . '<small class="muted">проректор по научной работе</small>',
    ),
    array(
        'id' => 'Кантор Виталий Зорахович',
        'title_ru' => 'Кантор Виталий Зорахович' . '<br/>' . '<small class="muted">проректор по учебной работе</small>',
    ),
    array(
        'id' => 'Рабош Василий Антонович',
        'title_ru' => 'Рабош Василий Антонович' . '<br/>' . '<small class="muted">проректор по учебной работе</small>',
    ),
    array(
        'id' => 'Бойков Дмитрий Игоревич',
        'title_ru' => 'Бойков Дмитрий Игоревич' . '<br/>' . '<small class="muted">проректор по международному сотрудничеству</small>',
    ),
    array(
        'id' => 'Полищук Олег Игоревич',
        'title_ru' => 'Полищук Олег Игоревич' . '<br/>' . '<small class="muted">проректор по административно-хозяйственной работе</small>',
    ),
    array(
        'id' => 'Пучков Михаил Юрьевич',
        'title_ru' => 'Пучков Михаил Юрьевич' . '<br/>' . '<small class="muted">проректор по информатизации</small>',
    ),
    array(
        'id' => 'Махов Сергей Иванович',
        'title_ru' => 'Махов Сергей Иванович' . '<br/>' . '<small class="muted">проректор по воспитательной работе</small>',
    ),
);

?>

<!-- CURRENT PAGE -->
<div class="container container-center">

<h3><?=$this->title?> <br/> <small><?=$this->subtitle?></small></h3>

<div class="row">
  <div class="span6">
    <ul class="nav nav-tabs nav-stacked">
      <?=$pdfListRender->render($role->getRoles($user->uuid), $db, $user, $prorector_links)?>
    </ul>
  </div>
</div>

</div>
</body>
</html>
